#define PEI3_ON 0x10
#define PEI3_OFF 0x11

void switch_on() {
   _U_ioAST(PEI3_ON);
   OUT = 1;
   OUT_transmit();
}

void switch_off() {
   _U_ioAST(PEI3_OFF);
   OUT = 0;
   OUT_transmit();
}

void input_changed() {
   if (INPUT == 1)
   {
     TIMER1_set(ctime*10/43);
     switch_on();
   }
   else
   {
     TIMER1_del();
     switch_off();
   }
}

void init()
{
  _U_ioAST(0x33);
  ctime=DELAY;
}
